SYSTEMD-SSH-ISSUE(1)

BEZEICHNUNG
systemd-ssh-issue - Generator für SSH-Anmelde-Eingabeaufforderungs-Ergänzungen

ÜBERSICHT

/usr/lib/systemd/systemd-ssh-issue --make-vsock/usr/lib/systemd/systemd-ssh-issue --rm-vsock

BESCHREIBUNG

systemd-ssh-issue ist ein kleines Werkzeug, das eine Ergänzungsdatei /run/issue.d/50-ssh-vsock.issue erstellt, falls AF_VSOCK-Unterstützung im Kernel und der VM-Umgebung vorhanden ist. Die Datei enthält knappe Informationen dazu, wie mit dem lokalen System mittels SSH-über-AF_VSOCK Kontakt aufgenommen werden kann, insbesondere berichtet es die AF_VSOCK-CID des Systems. Die Datei wird typischerweise von agetty(8) gelesen und auf der Konsole oder seriellen Anmelde-Eingabeaufforderungen angezeigt.

Dieses Werkzeug wird automatisch von systemd-ssh-generator(8) in den von ihm erstellten AF_VSOCK-Socket-Units verwandt.

OPTIONEN

Die folgenden Optionen werden verstanden:

--make-vsock
    Erstellt die Datei »issue«. Dieser Befehl hat auf Systemen ohne AF_VSOCK-Unterstützung keine Auswirkung.

    Hinzugefügt in Version 258.

--rm-vsock
    Entfernt die Datei »issue«, falls sie existiert.

    Hinzugefügt in Version 258.

--issue-path=
    Ändert den Pfad zu der Datei »issue«, die zu schreiben/zu entfernen ist. Falls nicht angegeben, ist die Vorgabe /run/issue.d/50-ssh-vsock.issue. Falls als leere Zeichenkette oder »-« angegeben, dann wird der Inhalt der »issue«-Datei auf die Standardausgabe geschrieben.

    Hinzugefügt in Version 258.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1), systemd-ssh-generator(8), vsock(7), ssh(1), sshd(8), agetty(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.